Package org.eclipse.gef.mvc.fx.parts

# Interface IContentPartFactory

public interface IContentPartFactory
A factory for creating new `IContentPart`s. The `IViewer` can be configured with an `IContentPartFactory`. Whenever a behavior of an `IContentPart` in that viewer needs to create another child `IContentPart`, it can use the viewer's `IContentPartFactory`, passing in itself as context behavior.

## Method Summary

Modifier and Type
Method
Description
`IContentPart<? extends Node>`
`createContentPart(Object content, Map<Object,Object> contextMap)`
Creates a specific `IContentPart` for the given content.

## Method Details

### createContentPart

IContentPart<? extends Node> createContentPart(Object content, Map<Object,Object> contextMap)
Creates a specific `IContentPart` for the given content. As additional information might be needed by the `IContentPartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Parameters:
  `content` - The model `Object` for which an `IContentPart` is to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  An `IContentPart` for the given content and context.